# Generated by rust2rpm 21
%bcond_without check

%global crate scopeguard

Name:           rust-%{crate}
Version:        1.1.0
Release:        %mkrel 2
Summary:        RAII scope guard that will run a given closure when it goes out of scope, even if the code between panics (assuming unwinding panic)
Group:          Development/Other

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/scopeguard
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
BuildArch:      noarch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
RAII scope guard that will run a given closure when it goes out of scope, even
if the code between panics (assuming unwinding panic).
Defines the macros `defer!`, `defer_on_unwind!`, `defer_on_success!` as
shorthands for guards with one of the implemented strategies.}

%description %{_description}

%package        devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.rst
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_std-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+use_std-devel %{_description}

This package contains library source intended for building other packages which
use the "use_std" feature of the "%{crate}" crate.

%files       -n %{name}+use_std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.1.0-2.mga9
+ Revision: 1816478
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 guillomovitch <guillomovitch> 1.1.0-1.mga9
+ Revision: 1786328
- imported package rust-scopeguard


* Sun Feb 27 2022 Guillaume Rousse <guillomovitch@gmail.com> - 1.1.0-1
- Initial package
